### Method

# Ide ExtensionSetAdapter get_extension

#### Declaration

    PeasExtension*
    ide_extension_set_adapter_get_extension (
      IdeExtensionSetAdapter* self,
      PeasPluginInfo* plugin_info
    )

#### Description

Locates the extension owned by `plugin_info` if such extension exists.

Available since: | 3.32

#### Parameters

`plugin_info` | `PeasPluginInfo`
| A `PeasPluginInfo`.
| The data is owned by the caller of the function.

#### Return value

Returns: | `PeasExtension`
| A `PeasExtension` or `NULL`.
| The data is owned by the instance.
| The return value can be `NULL`.